Subject: Re: linux-next: Tree for October 13 (staging/iio)

From: Jonathan Cameron <[email-masked]>
Date: Thu, 14 Oct 2010 11:21:09 +0100

On 10/13/10 20:07, Hennerich, Michael wrote:
> Randy Dunlap wrote on 2010-10-13:
>> On Wed, 13 Oct 2010 15:45:22 +1100 Stephen Rothwell wrote:
>>
>>> Hi all,
>>>
>>> Changes since 20101012:
>>
>>
>> drivers/staging/iio/adc/ad7476.h:62: note: expected 'struct device *'
>> but argument is of type 'struct ad7476_state *'
>> drivers/staging/iio/adc/ad7476_core.c:48: error: too few arguments to
>> function 'ad7476_scan_from_ring'
> 
> Thanks!
> 
> That's due to an old prototype active when CONFIG_IIO_RING_BUFFER is not set.
> I'll fix that.
> 
>> drivers/staging/iio/adc/ad7476_core.c: At top level:
>> drivers/staging/iio/adc/ad7476_core.c:102: error:
>> 'IIO_SCAN_EL_TYPE_UNSIGNED' undeclared here (not in a function)
> 
> Jonathan,
> 
> Do we really need to guard the entire ring_generic.h header with
> 
> #ifdef CONFIG_IIO_RING_BUFFER
> ...
> 
> Some of these might be used, even when CONFIG_IIO_RING_BUFFER is not set.
> Or do we really need CONFIG_IIO_RING_BUFFER at all.
> Why not always provide it?
It's a fairly big chunk of code and I suspect a fair few of our users
(all the light sensors for starters) won't want it at all.  If anything
I'm keen to do a bit of reorganization of other bits of the core to
further cut down on the minimum present.

Move relevant functions out as needed or put stubs in place.  Perhaps we
can revisiting this question down the line, but I don't think we want to
make buffer support obligatory at the moment.

Jonathan
> 
>>
>> config is attached.
>>
>> ---
>> ~Randy
>> *** Remember to use Documentation/SubmitChecklist when testing your
>> code ***
> 
> Greetings,
> Michael
> 
> Analog Devices GmbH      Wilhelm-Wagenfeld-Str. 6      80807 Muenchen
> Sitz der Gesellschaft Muenchen, Registergericht Muenchen HRB 4036 Geschaeftsfuehrer Thomas Wessel, William A. Martin, Margaret Seif
> 
> 
>